Subject: Re: [PATCH v4 16/21] transport-helper: read helper response with strbuf_getline()

From: Jeff King <[email-masked]>
Date: Fri, 15 Jan 2016 15:31:09 -0500

On Thu, Jan 14, 2016 at 03:58:31PM -0800, Junio C Hamano wrote:

> Our implementation of helpers never use CRLF line endings, and they
> do not depend on the ability to place a CR as payload at the end of
> the line, so this is essentially a no-op for in-tree users.  However,
> this allows third-party implementation of helpers to give us their
> line with CRLF line ending (they cannot expect us to feed CRLF to
> them, though).

I think this is OK. I cannot think of any transport-helper request or
response which wants to pass anything more exotic than a refname as its
final argument. And if we were to add one, it would need to take care to
quote its argument somehow to allow "\n" anyway.

-Peff